Jullie/mijn tekeningen.

Zaken die nergens anders thuis horen zoals filmpjes en dergelijke. Houd het netjes, keep it tidy. Hier staat nog spul dat gesorteerd moet worden

Re: Jullie/mijn tekeningen.

Nieuw berichtdoor Damic op zo jul 28, 2013 2:05 am

Damn man heb een goei half uur achter dit topic gezocht :|

In ieder geval ik was me aan het vervelen en er lag nog iets naast mij dat ik eens ging overtekenen, met mijn eigen twist dan :mrgreen:
Afbeelding
SA22C Driver Snelle Annabelle is haar naam
Damic's 12A OMP MOD topic/handleiding. My Yotobe
Furb: Wil je een Veyron-killer of eentje die m totaal vernedert/opvreet/ uitspuugt/met een rietje weer opzuigt
Someday I going to build me a FB mdew's FD killing machine
Damic
RX7 (>700 posts)
 
Berichten: 4462
Geregistreerd op: ma aug 06, 2007 18:39 pm
Woonplaats: Mechelen (BE)
Type RX-7: SA

Re: Jullie/mijn tekeningen.

Nieuw berichtdoor Damic op wo sep 16, 2015 23:27 pm

Tutorial om je eigen wankel 8 (epitrochoid) te maken in Solidworks2012 (zal wrs ook werken in andere versies)

e=15 r=104 (12A/13B) a=graden van 0-359
1. je maakt een lijst aan in je favoriete spreadsheet programma met voor x: =e*SIN(3*a)+r*SIN(a) en y: =e*COS(3*a)+r*COS(a)
2. je slaagt dat op als csv met spatie tussen de getallen
3. je opent het csv bestand en vervangt de komma's door een punt en verwijderd ook de header moest die er staan
4. je opent SW met een nieuw part
5. je maakt een nieuwe macro aan en je zet er het volgende in
Code: Selecteer alles
Dim swApp As Object
Sub main()
Dim Part As Object
Dim A As Double
Dim X As Double
Dim Y As Double
Dim Z As Double
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
swApp.ActiveDoc.ActiveView.FrameState = 1
Dim skPoint As Object

Open "[full path]epitrochoid wankel.csv" For Input As #1 '-don't forget to change the path and filename
Part.SketchManager.Insert3DSketch True
Do While Not EOF(1)
Input #1, A, X, Y ', Z '-depends how your file is made up mine is A from Alpha in ° then X then Y, no Zzzz
Set skPoint = Part.SketchManager.CreatePoint(X / 1000, Y / 1000, 0)
Loop
Close #1

'Part.ShowNamedView2 "*Isometric", 7
'Part.ViewZoomtofit2
End Sub
je klikt op safe and run en dan heb je normaal een 3dsketch met een mooie epitrochoid van punten. *O*
6. Selecteer al de punten en fixeer ze
7. verbind al de punten met de Line tool (ja met de hand, heb nog geen manier gevonden om dit automatisch te doen :( ) als je het goed hebt gedaan krijg je het volgende
Afbeelding
8. Dan maak je een nieuw sketch aan en copier je de 3dsketch naar de 2d sketch (dit maakt het gemakkelijker om later ergens anders te gebruiken)

Als je al wat langer bezig bent dan kun je het volgende hebben
Afbeelding
Someday
SA22C Driver Snelle Annabelle is haar naam
Damic's 12A OMP MOD topic/handleiding. My Yotobe
Furb: Wil je een Veyron-killer of eentje die m totaal vernedert/opvreet/ uitspuugt/met een rietje weer opzuigt
Someday I going to build me a FB mdew's FD killing machine
Damic
RX7 (>700 posts)
 
Berichten: 4462
Geregistreerd op: ma aug 06, 2007 18:39 pm
Woonplaats: Mechelen (BE)
Type RX-7: SA

Vorige

Keer terug naar Algemeen

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 0 gasten

cron